<!--section-->
<section>
    <div class="container">
        <div class="row">
            <%= render 'layouts/sidebar' %>
            <!--middle-section-->
            <div class="col-md-9 col-xs-12">
                <div class="article checklists">
                    <div class="header no-border no-margin">
                        <h1>Checklists</h1>
                    </div>
                    <div class="article-content">
                        <div class="tabbar">
                            <ul class="nav nav-tabs" role="tablist">
                                <% @checklist_categories.each do |category| %>
                                    <li role="presentation"><a href="#tab_<%= category[:category_id] %>" aria-controls="tab_<%= category[:category_id] %>" role="tab" data-toggle="tab"><%= category[:category_name] %></a></li>
                                <% end %>
                                <!-- <li role="presentation"><a href="#tab2" aria-controls="tab2" role="tab" data-toggle="tab">Offer Negotiation</a></li> -->
                                <!-- <li role="presentation"><a href="#tab3" aria-controls="tab3" role="tab" data-toggle="tab">Personal</a></li> -->
                            </ul>

                            <!-- Tab panes -->
                            <div class="tab-content no-padding margin-top-15 checklist_listing">
                                <%= render partial: '/checklists/list_checklists' %>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!--/middle-section-->
        </div>
    </div>
</div>
</section>
<!--/section-->
<!-- Create Checklist modal -->
<div id="create_main" class="modal fade" role="dialog">
    <div class="modal-dialog modal-md">
        <!-- Modal content-->
        <%= form_for Checklist.new, url: checklists_path, method: :post do |f| %>
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title">Add Checklist</h4>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-xs-12">
                            <div class="form-group">
                                <!-- <input type="text" placeholder="Company Name" class="form-control"> -->
                                <%= f.text_field :title, class: 'form-control', placeholder: 'Add Title' %>
                            </div>
                        </div>
                    </div>
                </div>
                <%= hidden_field_tag 'task_type' %>
                <%= hidden_field_tag 'type_id' %>
                <%= hidden_field_tag 'submit_type' %>
                <%= hidden_field_tag 'title' %>
                <div class="modal-footer">
                    <div class="center-block">
                        <button type="button" class="btn btn-theme2 stroke rounded" data-dismiss="modal">Cancel</button>
                        <!-- <input type="button" class="btn btn-theme rounded" value="Save"> -->
                        <%= f.submit 'Add', class: 'btn btn-theme rounded add_checklist' %>
                    </div>
                </div>
            </div>
        <% end %>
    </div>
</div>
<!-- /create modal -->

<!-- Edit Checklist modal -->
<div id="edit_main" class="modal fade" role="dialog">
    <div class="modal-dialog modal-md">
        <!-- Modal content-->
        <%= form_for Checklist.new, url: edit_checklist_checklists_path, method: :post do |f| %>
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title">Edit Checklist</h4>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-xs-12">
                            <div class="form-group">
                                <!-- <input type="text" placeholder="Company Name" class="form-control"> -->
                                <%= f.text_field :title, class: 'form-control', placeholder: 'Edit Title', id: 'edit_checklist_title' %>
                            </div>
                        </div>
                    </div>
                </div>
                <%= hidden_field_tag 'task_type', '', id: 'edit_task_type' %>
                <%= hidden_field_tag 'type_id', '', id: 'edit_type_id' %>
                <%#= hidden_field_tag 'submit_type', '', id: 'edit_submit_type' %>
                <div class="modal-footer">
                    <div class="center-block">
                        <button type="button" class="btn btn-theme2 stroke rounded" data-dismiss="modal">Cancel</button>
                        <!-- <input type="button" class="btn btn-theme rounded" value="Save"> -->
                        <%= f.submit 'Update', class: 'btn btn-theme rounded edit_checklist' %>
                    </div>
                </div>
            </div>
        <% end %>
    </div>
</div>
<!-- /edit modal -->
<script>
$(document).ready(function(){
    $('.nav-tabs > li').first().addClass('active')
    $('.tab-pane').first().addClass('active')
})
</script>
